import cx from 'classnames';
export var PREFIX = 'sui';
export var CATEGORY = 'Atom';
export var COMPONENT = 'Input';
export var BASE = PREFIX + "-" + CATEGORY + COMPONENT;
export var BASE_CLASS = BASE + "-input"; // Enums

export var TYPES = {
  DATE: 'date',
  MASK: 'mask',
  NUMBER: 'number',
  PASSWORD: 'password',
  SUI_PASSWORD: 'sui-password',
  TEXT: 'text',
  TEL: 'tel',
  EMAIL: 'email'
};
export var SIZES = {
  XLARGE: 'xl',
  LARGE: 'l',
  MEDIUM: 'm',
  SMALL: 's',
  XSMALL: 'xs'
};
export var INPUT_STATES = {
  ERROR: 'error',
  SUCCESS: 'success',
  ALERT: 'alert'
};
export var INPUT_SHAPES = {
  ROUNDED: 'rounded',
  SQUARE: 'square',
  CIRCLE: 'circle'
};
export var noop = function noop() {
  return null;
};
export var getClassNames = function getClassNames(_ref) {
  var size = _ref.size,
      charsSize = _ref.charsSize,
      hideInput = _ref.hideInput,
      noBorder = _ref.noBorder,
      readOnly = _ref.readOnly,
      errorState = _ref.errorState,
      state = _ref.state,
      shape = _ref.shape;
  return cx(BASE_CLASS, size && BASE_CLASS + "-size-" + size, charsSize && BASE_CLASS + "--charsSize", hideInput && BASE_CLASS + "--hidden", noBorder && BASE_CLASS + "--noBorder", readOnly && BASE_CLASS + "--readOnly", errorState && BASE_CLASS + "--" + INPUT_STATES.ERROR, errorState === false && BASE_CLASS + "--" + INPUT_STATES.SUCCESS, state && BASE_CLASS + "--" + state, shape && BASE_CLASS + "-shape-" + shape);
};